## libuv1 1.6.1

=== debian/changelog ===
libuv1 (1.6.1-3) unstable; urgency=medium

  * testsuite: attempt at fixing test runner on mips/mipsel

 -- Luca Bruno <lucab@debian.org>  Tue, 07 Jul 2015 17:38:16 +0200

libuv1 (1.6.1-2) unstable; urgency=high

  * Fix mips/mipsel FTBFS due to incorrect epoll_pwait call
    (Closes: #787751)
  * control: fix git repo location

 -- Luca Bruno <lucab@debian.org>  Mon, 15 Jun 2015 20:49:02 +0200

libuv1 (1.6.1-1) unstable; urgency=medium

  * New upstream release
    + Memory allocator is now customizable
    + Many bugfixes

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Jun 2015 18:54:03 +0200

libuv1 (1.4.2-1) unstable; urgency=medium

  * New upstream stable branch (Closes: #758310)
    + source/soname bump to libuv1

 -- Luca Bruno <lucab@debian.org>  Sun, 12 Apr 2015 16:33:22 +0200

libuv (0.10.28-6) unstable; urgency=high

  * Backported: call setgroups before calling setuid/setgid
    (Closes: #779173 - CVE-2015-0278)

 -- Luca Bruno <lucab@debian.org>  Wed, 25 Feb 2015 10:50:58 +0100

libuv (0.10.28-5) unstable; urgency=medium

  * Too early for versioned provides, reverted
    (Closes: #762291, #762300)

 -- Luca Bruno <lucab@debian.org>  Sun, 21 Sep 2014 14:49:26 +0200

libuv (0.10.28-4) unstable; urgency=medium

  * control: provide versioned virtual package
  * Fix arm64 failures due to missing epoll_wait()

 -- Luca Bruno <lucab@debian.org>  Sat, 20 Sep 2014 11:49:39 +0200

libuv (0.10.28-3) unstable; urgency=medium

  * Rename -dev package, prepare for multiple versions
  * Add a libuv0.10-dev binary package

 -- Luca Bruno <lucab@debian.org>  Tue, 26 Aug 2014 20:34:31 +0200

libuv (0.10.28-2) unstable; urgency=medium

  * Testsuite is fragile on kfreebsd, ignore transient failures there
    (Closes: #754756)

 -- Luca Bruno <lucab@debian.org>  Tue, 19 Aug 2014 22:57:23 +0200

libuv (0.10.28-1) unstable; urgency=medium

  * New upstream release
   + Drop patches applied upstream

 -- Luca Bruno <lucab@debian.org>  Sat, 16 Aug 2014 21:21:55 +0200

libuv (0.10.27-2) unstable; urgency=medium

  * Fix "spawn_closed_process_io" test failure
    (Closes: #750301)

 -- Luca Bruno <lucab@debian.org>  Tue, 10 Jun 2014 19:59:51 +0200

libuv (0.10.27-1) unstable; urgency=medium

  * Bump Standards-Version
  * New upstream release
    + Refreshed quilt patches

 -- Luca Bruno <lucab@debian.org>  Sat, 10 May 2014 18:56:41 +0200

libuv (0.10.25-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sun, 02 Mar 2014 16:38:59 +0100

libuv (0.10.24-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sun, 02 Mar 2014 13:36:07 +0100

libuv (0.10.23-1) unstable; urgency=medium

  * New upstream release
    + Drop stat parsing patch, merged upstream

 -- Luca Bruno <lucab@debian.org>  Sat, 01 Mar 2014 18:07:52 +0100

libuv (0.10.22-2) unstable; urgency=medium

  * Relax /proc/stat parsing assumptions, prevent FTBFS on sparc

 -- Luca Bruno <lucab@debian.org>  Mon, 20 Jan 2014 10:40:59 +0100

libuv (0.10.22-1) unstable; urgency=medium

  * New upstream version 

 -- Luca Bruno <lucab@debian.org>  Sun, 19 Jan 2014 15:20:49 +0100

libuv (0.10.21-1) unstable; urgency=medium

  * New upstream version
    + Drop SO_REUSEPORT patch, merged upstream

 -- Luca Bruno <lucab@debian.org>  Mon, 23 Dec 2013 22:58:01 +0100

libuv (0.10.19-2) unstable; urgency=low

  * Upstream backport: fix up SO_REUSEPORT commit

 -- Luca Bruno <lucab@debian.org>  Mon, 25 Nov 2013 21:59:02 +0100

libuv (0.10.19-1) unstable; urgency=low

  * New upstream stable version
    + Drop SO_REUSEPORT patch, merged upstream

 -- Luca Bruno <lucab@debian.org>  Sun, 24 Nov 2013 17:06:49 +0100

libuv (0.10.18-1) unstable; urgency=low

  * New upstream stable version

 -- Luca Bruno <lucab@debian.org>  Thu, 24 Oct 2013 19:40:55 +0200

libuv (0.10.17-1) unstable; urgency=low

  * Initial upload to unstable
  * Add proper fields for multiarch support

 -- Luca Bruno <lucab@debian.org>  Tue, 08 Oct 2013 16:15:50 +0200

libuv (0.10.17-0~exp2) experimental; urgency=low

  * Mark tty test as skipped
  * Relax timing assumptions of timer_again test

 -- Luca Bruno <lucab@debian.org>  Sat, 28 Sep 2013 15:47:41 +0200

libuv (0.10.17-0~exp1) experimental; urgency=low

  * New upstream release
  * Update watch file to only track stable tags
  * Relax timing assumptions of loop_stop test

 -- Luca Bruno <lucab@debian.org>  Sat, 28 Sep 2013 09:00:29 +0200

libuv (0.10.16-0~exp1) experimental; urgency=low

  * New upstream version 0.10.16
    + Refreshed all local patches

 -- Luca Bruno <lucab@debian.org>  Fri, 27 Sep 2013 16:18:12 +0200

libuv (0.10.8-0~exp4) experimental; urgency=low

  * Add pkg-config support file for libuv
  * Initial port to kfreebsd-any
    + Add libkvm-dev build-dep for kfreebsd
    + A couple of tests are sometime failing

 -- Luca Bruno <lucab@debian.org>  Wed, 18 Sep 2013 10:49:27 +0200

libuv (0.10.8-0~exp3) experimental; urgency=low

  * Fix test suite errors (Closes: #722283)
    + Adjust test runner invocation for missing TTY on buildd
    + Backport patch: fix setsockopt(SO_REUSEPORT) error handling

 -- Luca Bruno <lucab@debian.org>  Tue, 10 Sep 2013 19:26:24 +0200

libuv (0.10.8-0~exp2) unstable; urgency=low

  * Use canonical URL in Vcs-Git tag
  * Enable built-time tests

 -- Luca Bruno <lucab@debian.org>  Fri, 06 Sep 2013 23:17:04 +0200

libuv (0.10.8-0~exp1) experimental; urgency=low

  * Initial upload (Closes: #709480)

 -- Luca Bruno <lucab@debian.org>  Sat, 25 May 2013 21:11:26 +0200

=== debian/watch ===
version=3
https://github.com/libuv/libuv/releases /libuv/libuv/archive/v(1\..+)\.tar\.gz

## libuv1 1.8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
SRCDIR        = src

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/libuv.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/libuv.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/libuv"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/libuv"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
libuv1 (1.8.0-1) unstable; urgency=medium

  * New upstream release
    + New symbols introduced
  * Dropped iovec patch, merged upstream

 -- Luca Bruno <lucab@debian.org>  Mon, 14 Dec 2015 23:29:09 +0100

libuv1 (1.7.5-1) unstable; urgency=medium

  * New upstream release
  * Updated test patch for iovec testsuite failures

 -- Luca Bruno <lucab@debian.org>  Wed, 23 Sep 2015 00:31:22 +0200

libuv1 (1.7.4-2) unstable; urgency=medium

  * Initial porting to kFreeBSD (Closes: #799446)

 -- Luca Bruno <lucab@debian.org>  Sat, 19 Sep 2015 20:56:54 +0200

libuv1 (1.7.4-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Mon, 14 Sep 2015 17:52:09 +0200

libuv1 (1.7.3-1) unstable; urgency=medium

  * New upstream release
    + Bugfix for a regression in threadpool work scheduling

 -- Luca Bruno <lucab@debian.org>  Fri, 28 Aug 2015 10:48:40 +0200

libuv1 (1.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Tue, 25 Aug 2015 19:32:15 +0200

libuv1 (1.7.1-1) unstable; urgency=medium

  * New upstream release
    + test patch for iovec test failures
  * symbols: fixes for non-linux ports

 -- Luca Bruno <lucab@debian.org>  Sun, 23 Aug 2015 13:43:59 +0200

libuv1 (1.7.0-1) unstable; urgency=medium

  * New upstream release
    + upstream tarballs are now signed
    + skip some tests when network is unreachable
  * shlibs: add symbols file

 -- Luca Bruno <lucab@debian.org>  Thu, 06 Aug 2015 22:50:41 +0200

=== debian/control ===
Source: libuv1
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends: debhelper (>= 9),
               dh-exec (>=0.3),
               dh-autoreconf,
               libkvm-dev [kfreebsd-any],
               pkg-config
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/libuv/libuv
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/libuv1.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/libuv1.git

Package: libuv1-dev
Section: libdevel
Architecture: any
Depends: libuv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Replaces: libuv-dev
Conflicts: libuv-dev, libuv0.10-dev
Description: asynchronous event notification library - development files
 Libuv is the asynchronous library behind Node.js. Very similar to libevent or
 libev, it provides the main elements for event driven systems: watching and
 waiting for availability in a set of sockets, and some other events like timers
 or asynchronous messages. However, libuv also comes with some other extras
 like:
  * files watchers and asynchronous operations
  * a portable TCP and UDP API, as well as asynchronous DNS resolution
  * processes and threads management, and a portable inter-process
    communications mechanism, with pipes and work queues
  * a plugins mechanism for loading libraries dynamically
  * interface with external libraries that also need to access the I/O.
 .
 Install this package if you wish to develop your own programs using the
 libuv engine.

Package: libuv1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: asynchronous event notification library - runtime library
 Libuv is the asynchronous library behind Node.js. Very similar to libevent or
 libev, it provides the main elements for event driven systems: watching and
 waiting for availability in a set of sockets, and some other events like timers
 or asynchronous messages. However, libuv also comes with some other extras
 like:
  * files watchers and asynchronous operations
  * a portable TCP and UDP API, as well as asynchronous DNS resolution
  * processes and threads management, and a portable inter-process
    communications mechanism, with pipes and work queues
  * a plugins mechanism for loading libraries dynamically
  * interface with external libraries that also need to access the I/O.
 .
 This package includes the dynamic library against which you can link
 your program.

Package: libuv1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libuv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: asynchronous event notification library - debugging symbols
 Libuv is the asynchronous library behind Node.js. Very similar to libevent or
 libev, it provides the main elements for event driven systems: watching and
 waiting for availability in a set of sockets, and some other events like timers
 or asynchronous messages. However, libuv also comes with some other extras
 like:
  * files watchers and asynchronous operations
  * a portable TCP and UDP API, as well as asynchronous DNS resolution
  * processes and threads management, and a portable inter-process
    communications mechanism, with pipes and work queues
  * a plugins mechanism for loading libraries dynamically
  * interface with external libraries that also need to access the I/O.
 .
 This package provides the debugging symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export SOVER=1
export SONAME=libuv.so.$(SOVER)
export SOPKG=libuv$(SOVER)

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_strip:
	dh_strip --dbg-package=$(SOPKG)-dbg

override_dh_clean:
	dh_clean
	# Clean autoreconf files
	$(RM) -- ltmain.sh m4/libtool.m4
	find m4 -name 'lt*.m4' -delete

# Testsuite is not robust enough, ignore errors on non-linux
override_dh_auto_test:
ifeq ($(DEB_BUILD_ARCH_OS),linux)
	dh_auto_test
else
	-dh_auto_test
endif

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sign/ \
 http://dist.libuv.org/dist/v(1\..+)/libuv-v(1\..+)\.tar\.gz

## libuv1 1.9.0

=== debian/changelog ===
libuv1 (1.9.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Luca Bruno <lucab@debian.org>  Sun, 29 May 2016 19:50:37 +0200

libuv1 (1.9.0-1) unstable; urgency=medium

  * New upstream release
    + New symbols introduced
  * Bump Standards-Version
  * Move Vcs-* headers to HTTPS endpoints

 -- Luca Bruno <lucab@debian.org>  Thu, 07 Apr 2016 23:55:20 +0200

libuv1 (1.8.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Luca Bruno <lucab@debian.org>  Wed, 30 Dec 2015 13:22:24 +0100

libuv1 (1.7.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Luca Bruno <lucab@debian.org>  Thu, 01 Oct 2015 12:53:00 +0200

libuv1 (1.6.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Luca Bruno <lucab@debian.org>  Sat, 20 Jun 2015 18:22:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                dh-autoreconf,
                libkvm-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/libuv/libuv
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/libuv1.git
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/libuv1.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libuv1.git
+Vcs-Git: https://anonscm.debian.org/pkg-javascript/libuv1.git
 
 Package: libuv1-dev
 Section: libdevel

## libuv1 1.9.1

=== docs/Makefile ===
--- 
+++ 
@@ -2,11 +2,12 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = build
-SRCDIR        = src
+SPHINXOPTS      =
+SPHINXBUILD     = sphinx-build
+SPHINXAUTOBUILD = sphinx-autobuild
+PAPER           =
+BUILDDIR        = build
+SRCDIR          = src
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
@@ -20,11 +21,12 @@
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+.PHONY: help clean html livehtml dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
+	@echo "  livehtml   to make standalone HTML files and live reload them"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
 	@echo "  singlehtml to make a single large HTML file"
 	@echo "  pickle     to make pickle files"
@@ -54,6 +56,9 @@
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+livehtml:
+	$(SPHINXAUTOBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml

=== debian/changelog ===
libuv1 (1.9.1-3) unstable; urgency=medium

  * Team upload.
  * Make libuv1-dev libkvm-dev on kfreebsd-any.  (Closes: #834563)
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Add patch from upstream to don't fail the build if /dev/pty is not present.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Oct 2016 13:36:45 +0000

libuv1 (1.9.1-2) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Fix Vcs-Git

  [ Dominique Dumont ]
  * fix patch to avoid bogus signal blockers on arm64 (Closes: #841354)
    Many thanks to Tobias Leich (FROGGS) and Perl6/Moar team for
    the help fixing this bug

 -- Dominique Dumont <dod@debian.org>  Fri, 21 Oct 2016 13:06:07 +0200

libuv1 (1.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sun, 29 May 2016 19:29:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                dh-exec (>=0.3),
-               dh-autoreconf,
                libkvm-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/libuv/libuv
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libuv1.git
-Vcs-Git: https://anonscm.debian.org/pkg-javascript/libuv1.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/libuv1.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libuv1.git
 
 Package: libuv1-dev
 Section: libdevel
 Architecture: any
-Depends: libuv1 (= ${binary:Version}), ${misc:Depends}
+Depends: libkvm-dev [kfreebsd-any],
+         libuv1 (= ${binary:Version}),
+         ${misc:Depends}
 Multi-Arch: same
 Replaces: libuv-dev
 Conflicts: libuv-dev, libuv0.10-dev
@@ -39,7 +41,7 @@
 Package: libuv1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: asynchronous event notification library - runtime library
  Libuv is the asynchronous library behind Node.js. Very similar to libevent or

## libuv1 1.18.0

=== debian/changelog ===
libuv1 (1.18.0-3) unstable; urgency=medium

  * Team upload.
  * release to unstable

 -- Dominique Dumont <dod@debian.org>  Mon, 01 Jan 2018 16:23:16 +0100

libuv1 (1.18.0-2) experimental; urgency=medium

  * Add patch to fix sometimes failing multicast tests

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 Dec 2017 12:30:19 +0100

libuv1 (1.18.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #884384)
  * update libuv1.symbols for 1.18.0
  * control: declare compliance with policy 4.1.2

 -- Dominique Dumont <dod@debian.org>  Fri, 22 Dec 2017 16:47:54 +0100

libuv1 (1.11.0-2) unstable; urgency=medium

  * Upload to unstable 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 05 Nov 2017 21:32:13 +0100

libuv1 (1.11.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Drop kfreebsd patch, applied upstream
  * Upgrade upstream tarball signing key
  * Fix watch file
  * Remove pthread-fixes.h from debian/copyright
  * Add pthread-barrier.c in debian/copyright, ISC license
  * Update libuv1.symbols
  * Disable DNS requests during tests (Closes: #830192)
    This requires disable_ipv6_test.patch
  * Migrate dh_strip to automatic dbgsym

 -- Jérémy Lal <kapouer@melix.org>  Mon, 16 Oct 2017 11:42:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                dh-exec (>=0.3),
                libkvm-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
 Homepage: https://github.com/libuv/libuv
 Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/libuv1.git
@@ -59,23 +59,3 @@
  This package includes the dynamic library against which you can link
  your program.
 
-Package: libuv1-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libuv1 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: asynchronous event notification library - debugging symbols
- Libuv is the asynchronous library behind Node.js. Very similar to libevent or
- libev, it provides the main elements for event driven systems: watching and
- waiting for availability in a set of sockets, and some other events like timers
- or asynchronous messages. However, libuv also comes with some other extras
- like:
-  * files watchers and asynchronous operations
-  * a portable TCP and UDP API, as well as asynchronous DNS resolution
-  * processes and threads management, and a portable inter-process
-    communications mechanism, with pipes and work queues
-  * a plugins mechanism for loading libraries dynamically
-  * interface with external libraries that also need to access the I/O.
- .
- This package provides the debugging symbols for the library.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 export SONAME=libuv.so.$(SOVER)
 export SOPKG=libuv$(SOVER)
 
+# tell glibc to disable dns requests for the tests
+export RES_OPTIONS = attempts:0
+
 %:
 	dh $@ --with autoreconf
 
@@ -17,7 +20,7 @@
 	dh_autoreconf ./autogen.sh
 
 override_dh_strip:
-	dh_strip --dbg-package=$(SOPKG)-dbg
+	dh_strip --dbgsym-migration='$(SOPKG)-dbg (<< 1.11.0-1~)'
 
 override_dh_clean:
 	dh_clean

## libuv1 1.20.3

=== debian/changelog ===
libuv1 (1.20.3-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Jun 2018 15:53:39 -0700

libuv1 (1.20.3-2) unstable; urgency=medium

  * add patch to fix hurd packages.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #881882)
  * test/control: add gcc build-dep
  * control: Build-dep on netbase.
    Thanks to Adam Borowski <kilobyte@angband.pl> (Closes: 899078)

 -- Dominique Dumont <dod@debian.org>  Sat, 02 Jun 2018 10:58:29 +0200

libuv1 (1.20.3-1) unstable; urgency=medium

  * new upstream version
  * copyright: fix utf-8 entry with cme update
  * patch to fix PATH_MAX on hurd.
  * update symbols table for hurd.
    Thanks to Samuel Thibault for the patches (Closes: #897061)

 -- Dominique Dumont <dod@debian.org>  Sun, 27 May 2018 15:22:29 +0200

libuv1 (1.20.2-1) experimental; urgency=medium

  * new upstream version
  * control:
    * update Vcs-Browser and Vcs-Git
    * drop versioned dep on dh-exec
    * declare compliance with policy 4.1.4
    * set dod@debian.org as Maintainer
  * copyright:
    * use https URL for Format (cme)
    * add  debian/fill.copyright.blanks.yml
    * refreshed copyright with cme
  * update symbols file
  * add README.source
  * removed patch fix_udp_multicast_test (applied upstream)
  * fix typo in patch description
  * rules: enable hardening
  * add testsuite instructions

 -- Dominique Dumont <dod@debian.org>  Sat, 05 May 2018 14:46:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: libuv1
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
+Uploaders: Luca Bruno <lucab@debian.org>
+Section: libs
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Luca Bruno <lucab@debian.org>
 Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
-               dh-exec (>=0.3),
+               dh-exec,
                libkvm-dev [kfreebsd-any],
+               netbase,
                pkg-config
-Standards-Version: 4.1.2
-Section: libs
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/libuv1
+Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
-Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/libuv1.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libuv1.git
 
 Package: libuv1-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
 Depends: libkvm-dev [kfreebsd-any],
          libuv1 (= ${binary:Version}),
          ${misc:Depends}
-Multi-Arch: same
+Conflicts: libuv-dev,
+           libuv0.10-dev
 Replaces: libuv-dev
-Conflicts: libuv-dev, libuv0.10-dev
 Description: asynchronous event notification library - development files
  Libuv is the asynchronous library behind Node.js. Very similar to libevent or
  libev, it provides the main elements for event driven systems: watching and
@@ -40,9 +43,10 @@
 
 Package: libuv1
 Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
 Description: asynchronous event notification library - runtime library
  Libuv is the asynchronous library behind Node.js. Very similar to libevent or
  libev, it provides the main elements for event driven systems: watching and
@@ -58,4 +62,3 @@
  .
  This package includes the dynamic library against which you can link
  your program.
-

=== debian/tests/control ===
Tests: run-tests
Depends: @, gyp, gcc

## libuv1 1.22.0

=== debian/changelog ===
libuv1 (1.22.0-3ubuntu1) cosmic; urgency=medium

  * debian/patches/path_max_zero_st_size: fix buffer size of zero
    for readlink() (EINVAL) when lstat() reports st_size == 0. 
    This fixes nodejs test-case parallel/test-fs-realpath-pipe.js
    on s390x and in LXD on amd64. (LP: #1792647)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 14 Sep 2018 19:27:12 -0300

libuv1 (1.22.0-3) unstable; urgency=medium

  * allow warning while compiing autopkg tests files
  * control: add BD on freebsd-glue for freebsd-any arch
    Thanks to Svante Signell for the patch (Closes: 904503)
  * fix hurd-port patch.
    Thanks to Svante Signell for the fix (Closes: 904476)

 -- Dominique Dumont <dod@debian.org>  Mon, 30 Jul 2018 12:23:23 +0200

libuv1 (1.22.0-2) unstable; urgency=medium

  * update hurd-port patch.
    Thanks to Svante Signell (Closes: #904476)
  * update symbols file for hurd.
  * patch configure.ac for kfreebsd.
    Thanks to Svante Signell (Closes: 904503)
  * update symbols file for kfreebsd.

 -- Dominique Dumont <dod@debian.org>  Wed, 25 Jul 2018 13:36:46 +0200

libuv1 (1.22.0-1) unstable; urgency=medium

  * new upstream version
    * contains upstream fix for #902941
  * tests/control: add dependency on g++
  * update copyright file with cme
  * refresh hurd-port patch
  * remove patch for #902941 (applied upstream)
  * control: Declare compliance with policy 4.1.5
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Fri, 20 Jul 2018 17:18:26 +0200

libuv1 (1.21.0-2) unstable; urgency=medium

  * tests/control: add dep on libc-dev
  * patch wrong enum order.
    Thanks to Felipe Sateler for the analysis (Closes: 902941)

 -- Dominique Dumont <dod@debian.org>  Fri, 06 Jul 2018 13:57:44 +0200

libuv1 (1.21.0-1) unstable; urgency=medium

  * new upstream version
  * refreshed © info with cme dpkg-copyright update
  * refreshed hurd-port.diff
  * refreshed symbols file
  * improve README.source

 -- Dominique Dumont <dod@debian.org>  Mon, 02 Jul 2018 14:11:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libuv1
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
@@ -7,10 +7,11 @@
 Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                dh-exec,
+               freebsd-glue [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
                netbase,
                pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
